//
//  StayMapCallout.m
//  TestMapbox
//
//  Created by Andrew Gubanov on 16/12/16.
//  Copyright © 2016 Andrew Gubanov. All rights reserved.
//

#import "StayMapCallout.h"

@interface StayMapCallout ()
@end

@implementation StayMapCallout

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self)
    {
        self.backgroundColor = [UIColor redColor];
    }
    return self;
}

- (void)presentWithContentSize:(CGSize)aSize representedFromRect:(CGRect)aRect inView:(UIView *)aView constrainedToView:(UIView *)aConstrainedView animated:(BOOL)aFlag
{
    CGRect frame = CGRectMake(0.0f, 0.0f, 44.0f, 44.0f);
    self.frame = frame;    
    [aView addSubview:self];
    if (aFlag)
    {
        self.alpha = 0.0;
        
        [UIView animateWithDuration:0.2 animations:^{
            self.alpha = 1.0;
        }];
    }
}

- (void)presentCalloutFromRect:(CGRect)aRect inView:(UIView *)aView constrainedToView:(UIView *)aConstrainedView animated:(BOOL)animated
{
    [self presentWithContentSize:self.frame.size representedFromRect:aRect inView:aView constrainedToView:aConstrainedView animated:animated];
}

- (void)dismissCalloutAnimated:(BOOL)animated
{
    if (self.superview)
    {
        if (animated)
        {
            [UIView animateWithDuration:0.2 animations:^{
                self.alpha = 0.0;
            } completion:^(BOOL finished) {
                [self removeFromSuperview];
            }];
        }
        else
        {
            [self removeFromSuperview];
        }
    }
}

@end
